/**
 * PEARSON PROPRIETARY AND CONFIDENTIAL INFORMATION SUBJECT TO NDA
 * Copyright © 2017 Pearson Education, Inc.
 * All Rights Reserved.
 *
 * NOTICE: All information contained herein is, and remains
 * the property of Pearson Education, Inc. The intellectual and technical concepts contained
 * herein are proprietary to Pearson Education, Inc. and may be covered by U.S. and Foreign Patents,
 * patent applications, and are protected by trade secret or copyright law.
 * Dissemination of this information, reproduction of this material, and copying or distribution of this software
 * is strictly forbidden unless prior written permission is obtained
 * from Pearson Education, Inc.
 */
import React from 'react';
import { createDevTools } from 'redux-devtools'; // Monitors are separate packages, and you can make a custom one

import LogMonitor from 'redux-devtools-log-monitor';
import DockMonitor from 'redux-devtools-dock-monitor';
import SliderMonitor from 'redux-slider-monitor'; // createDevTools takes a monitor and produces a DevTools component

export default createDevTools(React.createElement(DockMonitor, {
  toggleVisibilityKey: "ctrl-h",
  changePositionKey: "ctrl-q",
  changeMonitorKey: "ctrl-m"
}, React.createElement(LogMonitor, {
  theme: "nicinabox"
}), React.createElement(SliderMonitor, {
  keyboardEnabled: true
})));